<?php
/**
 * Author profile page
 *
 */

//This sets the $curauth variable
$curauth = get_queried_object();

$paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1;
?>

<div class="content">

	<div class="content_botbg">

		<div class="content_res">

			<div id="breadcrumb">
				<?php if ( function_exists('cp_breadcrumb') ) cp_breadcrumb(); ?>
			</div>

			<!-- left block -->
			<div class="content_left">

				<div class="shadowblock_out">

					<div class="shadowblock">

						<h1 class="single dotted"><?php printf( __('About %s', 'appthemes'), $curauth->display_name); ?></h1>

						<div class="post">

							<div id="user-photo"><?php appthemes_get_profile_pic($curauth->ID, $curauth->user_email, 96); ?></div>

							<div class="author-main">

								<ul class="author-info">
									<li><strong><?php _e('Member Since:', 'appthemes'); ?></strong> <?php echo date_i18n(get_option('date_format'), strtotime($curauth->user_registered)); ?></li>
									<?php if ( !empty($curauth->user_url) ) { ?><li><strong><?php _e('Website:', 'appthemes'); ?></strong> <a href="<?php echo esc_url($curauth->user_url); ?>"><?php echo strip_tags( $curauth->user_url ); ?></a></li><?php } ?>
									<?php if ( !empty($curauth->twitter_id) ) { ?><li><div class="twitterico"></div><a href="http://twitter.com/<?php echo urlencode($curauth->twitter_id); ?>" target="_blank"><?php _e('Twitter', 'appthemes'); ?></a></li><?php } ?>
									<?php if ( !empty($curauth->facebook_id) ) { ?><li><div class="facebookico"></div><a href="http://facebook.com/<?php echo urlencode($curauth->facebook_id); ?>" target="_blank"><?php _e('Facebook', 'appthemes'); ?></a></li><?php } ?>
								</ul>

								<?php cp_author_info( 'page' ); ?>

							</div>

							<h3 class="dotted"><?php _e('Description', 'appthemes'); ?></h3>
							<p><?php echo appthemes_nl2br( $curauth->user_description ); ?></p>

						</div><!--/post-->

					</div><!-- /shadowblock -->

				</div><!-- /shadowblock_out -->


				<div class="tabcontrol">

					<ul class="tabnavig">
						<li><a href="#block1"><span class="big"><?php _e('Ads', 'appthemes'); ?></span></a></li>
						<li><a href="#block2"><span class="big"><?php _e('Posts', 'appthemes'); ?></span></a></li>
					</ul>

					<!-- tab 1 -->
					<div id="block1">

						<div class="clr"></div>

						<div class="undertab"><span class="big"><?php _e('Ads', 'appthemes'); ?> / <strong><span class="colour"><?php _e('Latest items listed', 'appthemes'); ?></span></strong></span></div>

						<?php query_posts( array( 'post_type' => APP_POST_TYPE, 'author' => $curauth->ID, 'paged' => $paged ) ); ?>

						<?php get_template_part( 'loop', 'ad_listing' ); ?>

					</div><!-- /block1 -->


					<!-- tab 2 -->
					<div id="block2">

						<div class="clr"></div>

						<div class="undertab"><span class="big"><?php _e('Posts', 'appthemes'); ?> / <strong><span class="colour"><?php _e('Recent blog posts', 'appthemes'); ?></span></strong></span></div>

						<?php query_posts( array( 'post_type' => 'post', 'author' => $curauth->ID, 'paged' => $paged ) ); ?>

						<?php get_template_part( 'loop' ); ?>

					</div><!-- /block2 -->


				</div><!-- /tabcontrol -->

			</div><!-- /content_left -->

			<?php get_sidebar( 'author' ); ?>

			<div class="clr"></div>

		</div><!-- /content_res -->

	</div><!-- /content_botbg -->

</div><!-- /content -->
