<?php
/**
 *
 * Here is where all the admin field data is stored
 * All the data is stored in arrays and then looped though
 * @author AppThemes
 * @version 3.0
 *
 * Array param definitions are as follows:
 * name    = field name
 * desc    = field description
 * tip     = question mark tooltip text
 * id      = database column name or the WP meta field name
 * css     = any on-the-fly styles you want to add to that field
 * type    = type of html field
 * req     = if the field is required or not (1=required)
 * min     = minimum number of characters allowed before saving data
 * std     = default value. not being used
 * js      = allows you to pass in javascript for onchange type events
 * vis     = if field should be visible or not. used for dropdown values field
 * visid   = this is the row css id that must correspond with the dropdown value that controls this field
 * options = array of drop-down option value/name combo
 * altclass = adds a new css class to the input field (since v3.1)
 *
 *
 */



$options_settings = array (

    array( 'type' => 'tab', 'tabname' => __('General', 'appthemes'), 'id' => '0' ),
				  
	    array(	'name' => __('Site Configuration', 'appthemes'),
                    'type' => 'title',
                    'id' => ''),
			   
		array(  'name' => __('Home Page Layout', 'appthemes'),
                        'desc' => '',
                        'tip' => __('Select the layout you prefer for your home page. The directory style is a more traditional classified ads layout. The standard style is more like a blog layout.','appthemes'),
                        'id' => $app_abbr.'_home_layout',
                        'css' => 'min-width:230px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'standard'  => __('Standard Style', 'appthemes'),
                                             'directory' => __('Directory Style', 'appthemes'))),

                array(  'name' => __('Color Scheme', 'appthemes'),
                        'desc' => '',
                        'tip' => __('Select the color scheme you would like your classified ads site to use.','appthemes'),
                        'id' => $app_abbr.'_stylesheet',
                        'css' => 'min-width:230px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array( 'aqua.css'          => __('Aqua Theme', 'appthemes'),
                                            'blue.css'          => __('Blue Theme', 'appthemes'),
                                            'green.css'         => __('Green Theme', 'appthemes'),
                                            'red.css'           => __('Red Theme', 'appthemes'),
                                            'teal.css'          => __('Teal Theme', 'appthemes'),
                                            'aqua-black.css'    => __('Aqua Theme - Black Header', 'appthemes'),
                                            'blue-black.css'    => __('Blue Theme - Black Header', 'appthemes'),                                   
                                            'green-black.css'   => __('Green Theme - Black Header', 'appthemes'),
                                            'red-black.css'     => __('Red Theme - Black Header', 'appthemes'),
                                            'teal-black.css'    => __('Teal Theme - Black Header', 'appthemes'))),

                // deprecated since 3.0.5
                // array(  'name' => __('Blog Category ID','appthemes'),
// 						'desc' => __('This field has been deprecated since v3.0.5. Used for reference in upgrading only.', 'appthemes'),
//                         //'desc' => sprintf( __("Visit the <a href='%s'>category page</a> and mouse over the 'Blog' category to get the tag_ID value.",'appthemes'), 'edit-tags.php?taxonomy=category' ),
//                         'tip' => __('This field must contain the blog category ID otherwise the blog and any blog sidebar widgets will not work correctly. This value should not be changed unless you know what you are doing.','appthemes'),
//                         'id' => $app_abbr.'_blog_cat',
//                         'css' => 'width:75px;',
//                         'vis' => '',
//                         'req' => '',
//                         'min' => '',
//                         'type' => 'text',
//                         'std' => ''),

				
				array(  'name' => __('Enable Coupons','appthemes'),
                        'desc' => '',
                        'tip' => __('Turns on the coupon module so your ad forms include a coupon code field. You still need to create and setup coupons before coupons will work. You also must have &quot;Charge for Listing Ads&quot; option enabled.','appthemes'),
                        'id' => $app_abbr.'_enable_coupons',
                        'css' => 'min-width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'yes' => __('Yes', 'appthemes'),
                                             'no'  => __('No', 'appthemes'))),
                                                                     
				array(  
						'name' => __('User Set Password','appthemes'),
						'desc' 		=> '',
						'tip' 		=> __('Turning this off will send the user a password instead of letting them set it on the new user registration page.','appthemes'),
						'id' 		=> $app_abbr.'_allow_registration_password',
						'css' 		=> 'min-width:100px;',
						'std' 		=> 'yes',
						'vis' 		=> '',
						'req' 		=> '',
						'js' 		=> '',
						'min' 		=> '',
						'type' 		=> 'select',
						'options' => array(  
							'yes' => __('Yes', 'appthemes'),
							'no'  => __('No', 'appthemes')
						)
					),                                            

				array(  'name' => __('Enable Logo','appthemes'),
                        'desc' => '',
                        'tip' => __('If you do not have a logo to use, select no and this will display the title and description of your web site instead.','appthemes'),
                        'id' => $app_abbr.'_use_logo',
                        'css' => 'min-width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'yes' => __('Yes', 'appthemes'),
                                             'no'  => __('No', 'appthemes'))),

                array(  'name' => __('Web Site Logo','appthemes'),
                        'desc' => __('Upload a logo or paste an image URL directly.', 'appthemes'),
                        'tip' => __('Paste the URL of your web site logo image here. It will replace the default header logo.(i.e. http://www.yoursite.com/logo.jpg)','appthemes'),
                        'id' => $app_abbr.'_logo',
                        'css' => 'min-width:398px;',
                        'vis' => '',
                        'req' => '',
                        'min' => '',
                        'type' => 'upload',
                        'std' => ''),

                array(  'name' => __('Feedburner URL','appthemes'),
                        'desc' => sprintf( '%s' . __("Sign up for a free <a target='_new' href='%s'>Feedburner account</a>.",'appthemes'), '<div class="feedburnerico"></div>', 'http://feedburner.google.com' ),
                        'tip' => __('Paste your Feedburner address here. It will automatically redirect your default RSS feed to Feedburner. You must have a Google Feedburner account setup first.','appthemes'),
                        'id' => $app_abbr.'_feedburner_url',
                        'css' => 'min-width:500px;',
                        'vis' => '',
                        'req' => '',
                        'min' => '',
                        'type' => 'text',
                        'std' => ''),

                 array(  'name' => __('Twitter Username','appthemes'),
                        'desc' => sprintf( '%s' . __("Sign up for a free <a target='_new' href='%s'>Twitter account</a>.",'appthemes'), '<div class="twitterico"></div>', 'http://twitter.com' ),
                        'tip' => __('Paste your Twitter username here. It will automatically redirect people who click on your Twitter link to your Twitter page. You must have a Twitter account setup first.','appthemes'),
                        'id' => $app_abbr.'_twitter_username',
                        'css' => 'min-width:500px;',
                        'vis' => '',
                        'req' => '',
                        'min' => '',
                        'type' => 'text',
                        'std' => ''),
/*
                array(  'name' => __('Facebook URL','appthemes'),
                        'desc' => sprintf( '%s' . __("Sign up for a free <a target='_new' href='%s'>Facebook account</a>.",'appthemes'), '<div class="facebookico"></div>', 'http://www.facebook.com' ),
                        'tip' => __('Paste your Facebook URL here. It will automatically redirect people who click on your Facebook link to your Facebook page. You must have a Facebook account setup first.','appthemes'),
                        'id' => $app_abbr.'_facebook_url',
                        'css' => 'min-width:500px;',
                        'vis' => '',
                        'req' => '',
                        'min' => '',
                        'type' => 'text',
                        'std' => ''),
*/

                array(  'name' => __('Tracking Code','appthemes'),
                        'desc' => sprintf( '%s' . __("Sign up for a free <a target='_new' href='%s'>Google Analytics account</a>.",'appthemes'), '<div class="googleico"></div>', 'http://www.google.com/analytics/' ),
                        'tip' => __('Paste your analytics tracking code here. Google Analytics is free and the most popular but you can use other providers as well.','appthemes'),
                        'id' => $app_abbr.'_google_analytics',
                        'css' => 'width:500px;height:150px;',
                        'vis' => '',
                        'req' => '',
                        'min' => '',
                        'type' => 'textarea',
                        'std' => ''),

    
    array(	'name' => __('Google Maps Settings', 'appthemes'),
                'type' => 'title',
                'id' => ''),
                
                
                array(  'name' 		=> __('Google Maps Language','appthemes'),
                        'desc' 		=> sprintf( __("Find the list of supported language codes <a target='_new' href='%s'>here</a>.",'appthemes'), 'http://spreadsheets.google.com/pub?key=p9pdwsai2hDMsLkXsoM05KQ&gid=1' ),
                        'tip' 		=> __('The Google Maps API uses the browsers language setting when displaying textual info on the map. In most cases, this is preferable and you should not need to override this setting. However, if you wish to change the Maps API to ignore the browsers language setting and force it to display info in a particular language, enter your two character region code here (i.e. Japanese is ja).','appthemes'),
                        'id' 		=> $app_abbr.'_gmaps_lang',
                        'css' 		=> 'width:50px;',
                        'vis' 		=> '',
                        'req' 		=> '',
                        'min' 		=> '',
                        'type' 		=> 'text',
                        'std' 		=> ''
                    ),
                
                    array( 'name' 	=> __('Google Maps Region','appthemes'),
                        'desc' 		=> sprintf( __("Find your two-letter ISO 3166-1 region code <a target='_new' href='%s'>here</a>.",'appthemes'), 'http://en.wikipedia.org/wiki/ISO_3166-1' ),
                        'tip' 		=> __("Enter your country's two-letter region code here to properly display map locations. (i.e. Someone enters the location &quot;Toledo&quot;, it's based off the default region (US) and will display &quot;Toledo, Ohio&quot;. With the region code set to &quot;ES&quot; (Spain), the results will show &quot;Toledo, Spain.&quot;)",'appthemes'),
                        'id' 		=> $app_abbr.'_gmaps_region',
                        'css' 		=> 'width:50px;',
                        'vis' 		=> '',
                        'req' 		=> '',
                        'min' 		=> '',
                        'type' 		=> 'text',
                        'std' 		=> ''
                    ),
                


				array(	'name' => __('Search Settings', 'appthemes'),
								'type' => 'title',
								'id' => ''),

								array(  'name' => __('Exclude Pages', 'appthemes'),
												'desc' => '',
												'tip' => __('Set this option to yes if you do not want your pages to show up in your website search results.', 'appthemes'),
												'id' => $app_abbr.'_search_ex_pages',
												'css' => 'min-width:100px;',
												'std' => '',
												'vis' => '',
												'req' => '',
												'js' => '',
												'min' => '',
												'type' => 'select',
												'options' => array( 'yes' => __('Yes', 'appthemes'),
																						'no'  => __('No', 'appthemes'))),

								array(  'name' => __('Exclude Blog Posts', 'appthemes'),
												'desc' => '',
												'tip' => __('Set this option to yes if you do not want your blog posts to show up in your website search results.', 'appthemes'),
												'id' => $app_abbr.'_search_ex_blog',
												'css' => 'min-width:100px;',
												'std' => '',
												'vis' => '',
												'req' => '',
												'js' => '',
												'min' => '',
												'type' => 'select',
												'options' => array( 'yes' => __('Yes', 'appthemes'),
																						'no'  => __('No', 'appthemes'))),

								array(  'name' => __('Search Custom Fields', 'appthemes'),
												'desc' => __('This option may slow down search engine on your website due to complex database queries.', 'appthemes'),
												'tip' => __('Set this option to yes if you want to search a phrase in all custom fields.', 'appthemes'),
												'id' => $app_abbr.'_search_custom_fields',
												'css' => 'min-width:100px;',
												'std' => '',
												'vis' => '',
												'req' => '',
												'js' => '',
												'min' => '',
												'type' => 'select',
												'options' => array( 'yes' => __('Yes', 'appthemes'),
																						'no'  => __('No', 'appthemes'))),

								array(  'name' => __('Search Field Width', 'appthemes'),
												'desc' => '',
												'tip' => __('Sometimes the search bar text field is too long and gets pushed down becuase of the categories drop-down. This option allows you to manually adjust it. Note: value must be numeric followed by either px or % (i.e. 600px or 50%). The default is 450px.', 'appthemes'),
												'id' => $app_abbr.'_search_field_width',
												'css' => 'width:100px;',
												'type' => 'text',
												'req' => '',
												'min' => '',
												'std' => '',
												'vis' => '',
												'visid' => ''),

								array(  'name' => __('Distance Unit', 'appthemes'),
												'desc' => '',
												'tip' => __('Defines the radius unit for search.', 'appthemes'),
												'id' => $app_abbr.'_distance_unit',
												'css' => 'width:100px;',
												'std' => '',
												'vis' => '',
												'req' => '',
												'js' => '',
												'min' => '',
												'type' => 'select',
												'options' => array( 'mi' => __('Miles', 'appthemes'),
																						'km'  => __('Kilometers', 'appthemes'))),


				array(	'name' => __('Search Drop-down Options', 'appthemes'),
								'type' => 'title',
								'id' => ''),

								array(  'name' => __('Category Depth','appthemes'),
												'desc' => '',
												'tip' => __("This sets the depth of categories shown in the category drop-down. Use 'Show All' unless you have a lot of sub-categories and do not want them all listed.",'appthemes'),
												'id' => $app_abbr.'_search_depth',
												'css' => 'min-width:100px;',
												'vis' => '',
												'req' => '',
												'min' => '',
												'type' => 'select',
												'options' => array( '0' => __('Show All','appthemes'),
																						'1'  => '1',
																						'2'  => '2',
																						'3'  => '3',
																						'4'  => '4',
																						'5'  => '5',
																						'6'  => '6',
																						'7'  => '7',
																						'8'  => '8',
																						'9'  => '9',
																						'10' => '10')),

								array(  'name' => __('Category Hierarchy','appthemes'),
												'desc' => '',
												'tip' => __('This will indent sub-categories within the category drop-down vs showing them all flat.','appthemes'),
												'id' => $app_abbr.'_cat_hierarchy',
												'css' => 'width:100px;',
												'vis' => '',
												'req' => '',
												'min' => '',
												'type' => 'select',
												'options' => array( '1' => __('Yes', 'appthemes'),
																						'0'  => __('No', 'appthemes'))),

								array(  'name' => __('Show Ad Count','appthemes'),
												'desc' => '',
												'tip' => __('This will show an ad total next to each category name in the category drop-down.','appthemes'),
												'id' => $app_abbr.'_cat_count',
												'css' => 'width:100px;',
												'vis' => '',
												'req' => '',
												'min' => '',
												'type' => 'select',
												'options' => array( '1' => __('Yes', 'appthemes'),
																						'0'  => __('No', 'appthemes'))),

								array(  'name' => __('Hide Empty Categories','appthemes'),
												'desc' => '',
												'tip' => __('This will hide any empty categories within the category drop-down.','appthemes'),
												'id' => $app_abbr.'_cat_hide_empty',
												'css' => 'width:100px;',
												'vis' => '',
												'req' => '',
												'min' => '',
												'type' => 'select',
												'options' => array( '1' => __('Yes', 'appthemes'),
																						'0'  => __('No', 'appthemes'))),
											 

				array(	'name' => __('Categories Menu Item Options', 'appthemes'),
								'type' => 'title',
								'id' => ''),

								array(  'name' => __('Show Category Count', 'appthemes'),
												'desc' => __('Check this box to display category count.', 'appthemes'),
												'tip' => __('This will show an ad total next to category name.', 'appthemes'),
												'id' => $app_abbr.'_cat_menu_count',
												'css' => '',
												'std' => '',
												'vis' => '',
												'req' => '',
												'js' => '',
												'min' => '',
												'type' => 'checkbox'),

								array(  'name' => __('Hide Empty Sub-Categories', 'appthemes'),
												'desc' => __('Check this box to hide empty sub-categories.', 'appthemes'),
												'tip' => __('This will hide empty sub-categories under parent category.', 'appthemes'),
												'id' => $app_abbr.'_cat_menu_hide_empty',
												'css' => '',
												'std' => '',
												'vis' => '',
												'req' => '',
												'js' => '',
												'min' => '',
												'type' => 'checkbox'),

								array(  'name' => __('Category Depth', 'appthemes'),
												'desc' => '',
												'tip' => __('This sets the depth limit of parent category.', 'appthemes'),
												'id' => $app_abbr.'_cat_menu_depth',
												'css' => 'min-width:100px;',
												'std' => '',
												'vis' => '',
												'req' => '',
												'js' => '',
												'min' => '',
												'type' => 'select',
												'options' => array( '999'  => __('Show All', 'appthemes'),
																						'0'  => '0',
																						'1'  => '1',
																						'2'  => '2',
																						'3'  => '3',
																						'4'  => '4',
																						'5'  => '5',
																						'6'  => '6',
																						'7'  => '7',
																						'8'  => '8',
																						'9'  => '9',
																						'10' => '10')),

								array(  'name' => __('Number of Sub-Categories', 'appthemes'),
												'desc' => '',
												'tip' => __('This sets the number of sub-categories shown under each category item.', 'appthemes'),
												'id' => $app_abbr.'_cat_menu_sub_num',
												'css' => 'min-width:100px;',
												'std' => '',
												'vis' => '',
												'req' => '',
												'js' => '',
												'min' => '',
												'type' => 'select',
												'options' => array( '999'  => __('Show All', 'appthemes'),
																						'0'  => '0',
																						'1'  => '1',
																						'2'  => '2',
																						'3'  => '3',
																						'4'  => '4',
																						'5'  => '5',
																						'6'  => '6',
																						'7'  => '7',
																						'8'  => '8',
																						'9'  => '9',
																						'10' => '10')),

				array(	'name' => __('Categories Page Options', 'appthemes'),
								'type' => 'title',
								'id' => ''),

								array(  'name' => __('Show Category Count', 'appthemes'),
												'desc' => __('Check this box to display category count.', 'appthemes'),
												'tip' => __('This will show an ad total next to category name.', 'appthemes'),
												'id' => $app_abbr.'_cat_dir_count',
												'css' => '',
												'std' => '',
												'vis' => '',
												'req' => '',
												'js' => '',
												'min' => '',
												'type' => 'checkbox'),

								array(  'name' => __('Hide Empty Sub-Categories', 'appthemes'),
												'desc' => __('Check this box to hide empty sub-categories.', 'appthemes'),
												'tip' => __('This will hide empty sub-categories under parent category.', 'appthemes'),
												'id' => $app_abbr.'_cat_dir_hide_empty',
												'css' => '',
												'std' => '',
												'vis' => '',
												'req' => '',
												'js' => '',
												'min' => '',
												'type' => 'checkbox'),

								array(  'name' => __('Category Depth', 'appthemes'),
												'desc' => '',
												'tip' => __('This sets the depth limit of parent category.', 'appthemes'),
												'id' => $app_abbr.'_cat_dir_depth',
												'css' => 'min-width:100px;',
												'std' => '',
												'vis' => '',
												'req' => '',
												'js' => '',
												'min' => '',
												'type' => 'select',
												'options' => array( '999'  => __('Show All', 'appthemes'),
																						'0'  => '0',
																						'1'  => '1',
																						'2'  => '2',
																						'3'  => '3',
																						'4'  => '4',
																						'5'  => '5',
																						'6'  => '6',
																						'7'  => '7',
																						'8'  => '8',
																						'9'  => '9',
																						'10' => '10')),

								array(  'name' => __('Number of Sub-Categories', 'appthemes'),
												'desc' => '',
												'tip' => __('This sets the number of sub-categories shown under each category item.', 'appthemes'),
												'id' => $app_abbr.'_cat_dir_sub_num',
												'css' => 'min-width:100px;',
												'std' => '',
												'vis' => '',
												'req' => '',
												'js' => '',
												'min' => '',
												'type' => 'select',
												'options' => array( '999'  => __('Show All', 'appthemes'),
																						'0'  => '0',
																						'1'  => '1',
																						'2'  => '2',
																						'3'  => '3',
																						'4'  => '4',
																						'5'  => '5',
																						'6'  => '6',
																						'7'  => '7',
																						'8'  => '8',
																						'9'  => '9',
																						'10' => '10')),

								array(  'name' => __('Number of Columns', 'appthemes'),
												'desc' => '',
												'tip' => __('This sets the number of columns shown on the directory-style home page layout.', 'appthemes'),
												'id' => $app_abbr.'_cat_dir_cols',
												'css' => 'min-width:100px;',
												'std' => '',
												'vis' => '',
												'req' => '',
												'js' => '',
												'min' => '',
												'type' => 'select',
												'options' => array( '2'  => '2',
																						'3'  => '3')),


        array(	'name' => __('Classified Ads Messages', 'appthemes'),
                'type' => 'title',
                'id' => ''),

                array(  'name' => __('Home Page Message','appthemes'),
                        'desc' => '',
                        'tip' => __('This welcome message will appear in the sidebar of your home page. (HTML is allowed)','appthemes'),
                        'id' => $app_abbr.'_ads_welcome_msg',
                        'css' => 'width:500px;height:200px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'min' => '',
                        'type' => 'textarea',
                        'std' => ''),

                array(  'name' => __('New Ad Message','appthemes'),
                        'desc' => '',
                        'tip' => __('This message will appear at the top of the classified ads listing page. (HTML is allowed)','appthemes'),
                        'id' => $app_abbr.'_ads_form_msg',
                        'css' => 'width:500px;height:200px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'min' => '',
                        'type' => 'textarea',
                        'std' => ''),

                array(  'name' => __('Membership Purchase Message','appthemes'),
                        'desc' => '',
                        'tip' => __('This message will appear at the top of the classified ads listing page. (HTML is allowed)','appthemes'),
                        'id' => $app_abbr.'_membership_form_msg',
                        'css' => 'width:500px;height:200px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'min' => '',
                        'type' => 'textarea',
                        'std' => ''),

               array(  'name' => __('Terms of Use','appthemes'),
                        'desc' => '',
                        'tip' => __('This message will appear on the last step of your classified ad listing page. This is usually your legal disclaimer or rules for posting new ads on your site. (HTML is allowed)','appthemes'),
                        'id' => $app_abbr.'_ads_tou_msg',
                        'css' => 'width:500px;height:200px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'min' => '',
                        'type' => 'textarea',
                        'std' => ''),


        array( 'type' => 'tabend', 'id' => '0' ),

    

        array( 'type' => 'tab', 'tabname' => __('Listings', 'appthemes'), 'id' => '1' ),

    
            array(	'name' => __('Classified Ads Configuration', 'appthemes'),
                'type' => 'title',
                'id' => ''),

		array(  'name' => __('Allow Ad Editing','appthemes'),
                        'desc' => '',
                        'tip' => __('Allows the ad owner to edit and republish their existing ads from their dashboard.','appthemes'),
                        'id' => $app_abbr.'_ad_edit',
                        'css' => 'min-width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'yes' => __('Yes', 'appthemes'),
                                             'no'  => __('No', 'appthemes'))),
											 
		array(  'name' => __('Allow Parent Category Posting','appthemes'),
                        'desc' => '',
                        'tip' => __('Allows ad poster to post to top-level categories. If set to &quot;When Empty&quot;, it allows posting to top-level categories only if they have no child categories.','appthemes'),
                        'id' => $app_abbr.'_ad_parent_posting',
                        'css' => 'min-width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'yes' => __('Yes', 'appthemes'),
											 'whenEmpty' => __('When Empty', 'appthemes'),
                                             'no'  => __('No', 'appthemes'))),

                array(  'name' => __('Ad Inquiry Form Requires Login','appthemes'),
                        'desc' => '',
                        'tip' => __('Require visitors to be logged in before they can fill out the ad inquiry form. In most cases you should keep this set to no to encourage visitors to ask questions without having to create an account.', 'appthemes'),
                        'id' => $app_abbr.'_ad_inquiry_form',
                        'css' => 'min-width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'yes' => __('Yes', 'appthemes'),
                                             'no'  => __('No', 'appthemes'))),

                array(  'name' => __('Allow HTML','appthemes'),
                        'desc' => sprintf( __("The WordPress <a href='%s'>auto-embeds</a> option must be unchecked to completely disable HTML (YouTube, Flickr, etc).",'appthemes'), 'options-media.php' ),
                        'tip' => __('Turns on the TinyMCE editor on text area fields and allows the ad owner to use html markup. Other fields do not allow html by default.', 'appthemes'),
                        'id' => $app_abbr.'_allow_html',
                        'css' => 'min-width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'yes' => __('Yes', 'appthemes'),
                                             'no'  => __('No', 'appthemes'))),

                array(  'name' => __('Allow Ad Relisting', 'appthemes'),
                        'desc' => '',
                        'tip' => __('This will allow ad owners to pay and relist their expired ads under the original terms (price and duration). They will receive an ad expiration email with a link to their dashboard to relist. This option is not applicable for free or legacy ads (before CP v3.0).','appthemes'),
                        'id' => $app_abbr.'_allow_relist',
                        'css' => 'min-width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'yes' => __('Yes', 'appthemes'),
                                             'no'  => __('No', 'appthemes'))),

				array(  'name' => __('Show Ad Views Counter','appthemes'),
                        'desc' => '',
                        'tip' => __("This will show a 'total views' and 'today's views' at the bottom of each ad listing and blog post.", 'appthemes'),
                        'id' => $app_abbr.'_ad_stats_all',
                        'css' => 'min-width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'yes' => __('Yes', 'appthemes'),
                                             'no'  => __('No', 'appthemes'))),

				array(  'name' => __('Show Gravatar Thumbnail','appthemes'),
                        'desc' => __('Note: Enabling this may slow down your site.', 'appthemes'),
                        'tip' => __("This will show a picture of the author next to their name on each ad listing block. A placeholder image will be used if they don't have one.",'appthemes'),
                        'id' => $app_abbr.'_ad_gravatar_thumb',
                        'css' => 'min-width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'yes' => __('Yes', 'appthemes'),
                                             'no'  => __('No', 'appthemes'))),
// disabling since 3.1 ticket #550
// doesn't seem to be working anymore
// 				array(  'name' => __('Enable Gravatar Hovercards','appthemes'),
//                         'desc' => '',
//                         'tip' => __('This turns on the Gravatar Hovercards feature so when you hover over an author or commenters Gravatar, it pops open a window with their details.','appthemes'),
//                         'id' => $app_abbr.'_use_hovercards',
//                         'css' => 'min-width:100px;',
//                         'std' => '',
//                         'vis' => '',
//                         'req' => '',
//                         'js' => '',
//                         'min' => '',
//                         'type' => 'select',
//                         'options' => array(  'yes' => __('Yes', 'appthemes'),
//                                              'no'  => __('No', 'appthemes'))),

                array(  'name' => __('New Ad Status','appthemes'),
                        'desc' => __("Note: If you have the 'Charge for Listing Ads' option set to 'Yes', then each ad will automatically be set to Pending Review until payment is made (regardless of this options value.).",'appthemes'),
                        'tip' => __('<i>Pending Review</i> - You have to manually approve and publish each ad. <br /><i>Published</i> - Ad goes live immediately without any approvals unless it has not been paid for.','appthemes'),
                        'id' => $app_abbr.'_post_status',
                        'css' => 'min-width:150px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'pending'  => __('Pending Review', 'appthemes'),
                                             'publish'  => __('Published', 'appthemes'))),

                array(  'name' => __('Prune Ads','appthemes'),
                        'desc' => '',
                        'tip' => __('Automatically removes all listings from your site as they expire and changes the post status to draft. The frequency is based on the Cron Job Schedule set below and after each ad listing is past the expiration date. If no is selected, the ad will remain live on your site but will be marked as expired.','appthemes'),
                        'id' => $app_abbr.'_post_prune',
                        'css' => 'min-width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'yes' => __('Yes', 'appthemes'),
                                             'no'  => __('No', 'appthemes'))),

		array(  'name' => __('Cron Job Schedule','appthemes'),
                        'desc' => __('Note: This feature only works if you have the Prune Ads option above set to yes.', 'appthemes'),
                        'tip' => __('Frequency you would like ClassiPress to check for and take offline any expired ads. Twice daily is recommended. Hourly may cause performance issues if you have a lot of ads.','appthemes'),
                        'id' => $app_abbr.'_ad_expired_check_recurrance',
                        'css' => 'min-width:100px;',
                        'vis' => '',
                        'req' => '',
                        'min' => '',
                        'type' => 'select',
                        'std' => '',
			'options' => array(  'none'         => __('None', 'appthemes'),
                                             'hourly'       => __('Hourly', 'appthemes'),
                                             'twicedaily'   => __('Twice Daily', 'appthemes'),
                                             'daily'        => __('Daily', 'appthemes'))),

                array(  'name' => __('Ad Listing Period','appthemes'),
                        'desc' => '',
                        'tip' => __('Number of days each ad will be listed on your site. This option is overridden by ad packs if you are charging for ads and using the Fixed Price Per Ad option. ','appthemes'),
                        'id' => $app_abbr.'_prun_period',
                        'css' => 'width:75px;',
                        'vis' => '',
                        'req' => '',
                        'min' => '',
                        'type' => 'text',
                        'std' => ''),

                array(  'name' => __('Form Validation Language','appthemes'),
                        'desc' => 'Leave this value blank if your site is in English.',
                        'tip' => __('This option allows you to set the language your ad submission form error messages are displayed in. Enter your two-letter country code (i.e. for German enter de). Not all languages have been translated but you can always add your own. To see the available languages, look in your /classipress/includes/js/validate/localization folder.','appthemes'),
                        'id' => $app_abbr.'_form_val_lang',
                        'css' => 'width:75px;',
                        'vis' => '',
                        'req' => '',
                        'min' => '',
                        'type' => 'text',
                        'std' => ''),

        array(	'name' => __('Ad Images Options', 'appthemes'),
                'type' => 'title',
                'id' => ''),

		array(  'name' => __('Allow Ad Images','appthemes'),
                        'desc' => '',
                        'tip' => __('Allows the ad owner to upload and use images on their ad. Note: This will disable display of most ad images across the entire site but some images may still display.','appthemes'),
                        'id' => $app_abbr.'_ad_images',
                        'css' => 'min-width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'yes' => __('Yes', 'appthemes'),
                                             'no'  => __('No', 'appthemes'))),

		array(  'name' => __('Show Preview Image','appthemes'),
                        'desc' => '',
                        'tip' => __('Displays a larger image when you mouse over the smaller thumbnail image. This is on your home page, category, search results, etc. ','appthemes'),
                        'id' => $app_abbr.'_ad_image_preview',
                        'css' => 'min-width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'yes' => __('Yes', 'appthemes'),
                                             'no'  => __('No', 'appthemes'))),

                array(  'name' => __('Max Images Per Ad','appthemes'),
                        'desc' => '',
                        'tip' => __('The number of images the ad owner can upload with each of their ads.','appthemes'),
                        'id' => $app_abbr.'_num_images',
                        'css' => 'min-width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array( '1' => '1',
                                            '2' => '2',
                                            '3' => '3',
                                            '4' => '4',
                                            '5' => '5',
                                            '6' => '6',
                                            '7' => '7',
                                            '8' => '8')),

                array(  'name' => __('Max Size Per Image','appthemes'),
                        'desc' => '',
                        'tip' => __('The maximum image size (per image) the ad owner can upload with each of their ads.','appthemes'),
                        'id' => $app_abbr.'_max_image_size',
                        'css' => 'min-width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array( '100'  => '100KB',
                                            '250'  => '250KB',
                                            '500'  => '500KB',
                                            '1024' => '1MB',
                                            '2048' => '2MB',
                                            '5120' => '5MB',
                                            '7168' => '7MB',
                                            '10240' => '10MB')),



        array( 'type' => 'tabend', 'id' => '1' ),


	array( 'type' => 'tab', 'tabname' => __('Security', 'appthemes'), 'id' => '2' ),

        array(	'name' => __('Security Settings', 'appthemes'),
                'type' => 'title',
                'id' => ''),

                array(  'name' => __('Back Office Access','appthemes'),
                        'desc' => sprintf( __("View the WordPress <a target='_new' href='%s'>Roles and Capabilities</a> for more information.",'appthemes'), 'http://codex.wordpress.org/Roles_and_Capabilities' ),
                        'tip' => __('Allows you to restrict access to the WordPress Back Office (wp-admin) by specific role. Keeping this set to admins only is recommended. Select Disable if you have problems with this feature.  (This feature does not work with WPMU at this time).','appthemes'),
                        'id' => $app_abbr.'_admin_security',
                        'css' => 'min-width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'manage_options' => __('Admins Only', 'appthemes'),
                                             'edit_others_posts' => __('Admins, Editors', 'appthemes'),
                                             'publish_posts' => __('Admins, Editors, Authors', 'appthemes'),
                                             'edit_posts' => __('Admins, Editors, Authors, Contributors', 'appthemes'),
                                             'read' => __('All Access', 'appthemes'),
                                             'disable' => __('Disable', 'appthemes'))),

    array(	'name' => __('reCaptcha Settings', 'appthemes'),
                'type' => 'title',
                'id' => ''),

                array(  'name' => __('Enable reCaptcha','appthemes'),
                        'desc' => sprintf(__("reCaptcha is a free anti-spam service provided by Google. Learn more about <a target='_new' href='%s'>reCaptcha</a>.", 'appthemes'), 'http://code.google.com/apis/recaptcha/'),
                        'tip' => __('Set this option to yes to enable the reCaptcha service that will protect your site against spam registrations. It will show a verification box on your registration page that requires a human to read and enter the words.','appthemes'),
                        'id' => $app_abbr.'_captcha_enable',
                        'css' => 'width:100px;',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'std' => '',
                        'type' => 'select',
                        'options' => array(  'yes' => __('Yes', 'appthemes'),
                                             'no'  => __('No', 'appthemes'))),

                array(  'name' => __('reCaptcha Public Key','appthemes'),
                        'desc' => sprintf( '%s' . __("Sign up for a free <a target='_new' href='%s'>Google reCaptcha</a> account.",'appthemes'), '<div class="captchaico"></div>', 'https://www.google.com/recaptcha/admin/create' ),
                        'tip' => __('Enter your public key here to enable an anti-spam service on your new user registration page (requires a free Google reCaptcha account). Leave it blank if you do not wish to use this anti-spam feature.','appthemes'),
                        'id' => $app_abbr.'_captcha_public_key',
                        'css' => 'min-width:500px;',
                        'vis' => '',
                        'req' => '',
                        'min' => '',
                        'type' => 'text',
                        'std' => ''),

                array(  'name' => __('reCaptcha Private Key','appthemes'),
                        'desc' => sprintf( '%s' . __("Sign up for a free <a target='_new' href='%s'>Google reCaptcha</a> account.",'appthemes'), '<div class="captchaico"></div>', 'https://www.google.com/recaptcha/admin/create' ),
                        'tip' => __('Enter your private key here to enable an anti-spam service on your new user registration page (requires a free Google reCaptcha account). Leave it blank if you do not wish to use this anti-spam feature.','appthemes'),
                        'id' => $app_abbr.'_captcha_private_key',
                        'css' => 'min-width:500px;',
                        'vis' => '',
                        'req' => '',
                        'min' => '',
                        'type' => 'text',
                        'std' => ''),

                array(  'name' => __('Choose Theme','appthemes'),
                        'desc' => '',
                        'tip' => __('Select the color scheme you wish to use for reCaptcha.','appthemes'),
                        'id' => $app_abbr.'_captcha_theme',
                        'css' => 'width:100px;',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'std' => '',
                        'type' => 'select',
                        'options' => array(  'red' => __('Red', 'appthemes'),
                                             'white' => __('White', 'appthemes'),
                                             'blackglass' => __('Black', 'appthemes'),
                                             'clean'  => __('Clean', 'appthemes'))),

    array( 'type' => 'tabend', 'id' => '2' ),


    array( 'type' => 'tab', 'tabname' => __('Advertising', 'appthemes'), 'id' => '3' ),
    
    array(	'name' => __('Header Ad (468x60)', 'appthemes'),
                'type' => 'title',
                'id' => ''),

                array(  'name' => __('Enable Ad','appthemes'),
                        'desc' => '',
                        'tip' => __('Set this option to no if you do not wish to have a 468x60 ad banner displayed.','appthemes'),
                        'id' => $app_abbr.'_adcode_468x60_enable',
                        'css' => 'width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'yes' => __('Yes', 'appthemes'),
                                             'no'  => __('No', 'appthemes'))),

                array(  'name' => __('Ad Code','appthemes'),
                        'desc' => sprintf(__("Paste your ad code here. Supports many popular providers such as <a target='_new' href='%s'>Google AdSense</a> and <a target='_new' href='%s'>BuySellAds</a>.", 'appthemes'), 'http://www.google.com/adsense/', 'http://www.buysellads.com/'),
                        'tip' => __('You may use html and/or javascript code provided by Google AdSense.','appthemes'),
                        'id' => $app_abbr.'_adcode_468x60',
                        'css' => 'width:500px;height:200px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'min' => '',
                        'type' => 'textarea',
                        'std' => ''),

                array(  'name' => __('Ad Image URL','appthemes'),
                        'desc' => __('Upload your ad creative or paste the ad creative URL directly.', 'appthemes'),
                        'tip' => __('If you would rather use an image ad instead of code provided by your advertiser, use this field instead.','appthemes'),
                        'id' => $app_abbr.'_adcode_468x60_url',
                        'css' => 'min-width:398px;',
                        'vis' => '',
                        'req' => '',
                        'min' => '',
                        'type' => 'upload',
                        'std' => ''),

                array(  'name' => __('Ad Destination','appthemes'),
                        'desc' => __('Paste the destination URL of your custom ad creative here (i.e. http://www.yoursite.com/landing-page.html).','appthemes'),
                        'tip' => __('When a visitor clicks on your ad image, this is the destination they will be sent to.','appthemes'),
                        'id' => $app_abbr.'_adcode_468x60_dest',
                        'css' => 'min-width:500px;',
                        'vis' => '',
                        'req' => '',
                        'min' => '',
                        'type' => 'text',
                        'std' => ''),

        array(	'name' => __('Single Ad (336x280)', 'appthemes'),
                'type' => 'title',
                'id' => ''),

                array(  'name' => __('Enable Ad','appthemes'),
                        'desc' => '',
                        'tip' => __('Set this option to no if you do not wish to have a 336x280 ads displayed on single ad, category, or search result pages.','appthemes'),
                        'id' => $app_abbr.'_adcode_336x280_enable',
                        'css' => 'width:100px;',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'std' => '',
                        'type' => 'select',
                        'options' => array(  'yes' => __('Yes', 'appthemes'),
                                             'no'  => __('No', 'appthemes'))),

                array(  'name' => __('Ad Code','appthemes'),
                        'desc' => sprintf(__("Paste your ad code here. Supports many popular providers such as <a target='_new' href='%s'>Google AdSense</a> and <a target='_new' href='%s'>BuySellAds</a>.", 'appthemes'), 'http://www.google.com/adsense/', 'http://www.buysellads.com/'),
                        'tip' => __('You may use html and/or javascript code provided by your advertising provider.','appthemes'),
                        'id' => $app_abbr.'_adcode_336x280',
                        'css' => 'width:500px;height:200px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'min' => '',
                        'type' => 'textarea',
                        'std' => ''),

                array(  'name' => __('Ad Image URL','appthemes'),
                        'desc' => __('Upload your ad creative or paste the ad creative URL directly.', 'appthemes'),
                        'tip' => __('If you would rather use an image ad instead of code provided by your advertiser, use this field instead.','appthemes'),
                        'id' => $app_abbr.'_adcode_336x280_url',
                        'css' => 'min-width:398px;',
                        'vis' => '',
                        'req' => '',
                        'min' => '',
                        'type' => 'upload',
                        'std' => ''),

                array(  'name' => __('Ad Destination','appthemes'),
                        'desc' => __('Paste the destination URL of your custom ad creative here (i.e. http://www.yoursite.com/landing-page.html).','appthemes'),
                        'tip' => __('When a visitor clicks on your ad image, this is the destination they will be sent to.','appthemes'),
                        'id' => $app_abbr.'_adcode_336x280_dest',
                        'css' => 'min-width:500px;',
                        'vis' => '',
                        'req' => '',
                        'min' => '',
                        'type' => 'text',
                        'std' => ''),

        array( 'type' => 'tabend', 'id' => '3' ),


	array( 'type' => 'tab', 'tabname' => __('Advanced', 'appthemes'), 'id' => '5' ),

  
        array(	'name' => __('Advanced Options', 'appthemes'),
                'type' => 'title',
                'id' => ''),

                array(  'name' => __('Run Ads Expired Check Now','appthemes'),
                        'desc' => '',
                        'tip' => __('Set this option to yes in order to manually run the function that checks all ads expiration and prunes any ads that are expired. This event will run only one time and then set itself back to no.','appthemes'),
                        'id' => $app_abbr.'_tools_run_expiredcheck',
                        'css' => 'width:100px;',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'std' => '',
                        'type' => 'select',
                        'options' => array(  'no' => __('No', 'appthemes'),
                                             'yes'  => __('Yes', 'appthemes'))),

                array(  'name' => __('Disable Core Stylesheets','appthemes'),
                        'desc' => '',
                        'tip' => __('If you are interested in creating a child theme or just want to completely disable the core ClassiPress styles, change this option to yes. (Note: this option is for advanced users. Do not change unless you know what you are doing.)','appthemes'),
                        'id' => $app_abbr.'_disable_stylesheet',
                        'css' => 'width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'no'   => __('No', 'appthemes'),
                                             'yes'  => __('Yes', 'appthemes'))),

				array(  'name' => __('Enable General.js','appthemes'),
                        'desc' => '',
                        'tip' => __('This option enables the included general.js located in the /includes/js/ directory. This is where you can add your own javascript without losing your changes on product upgrades.','appthemes'),
                        'id' => $app_abbr.'_general_js',
                        'css' => 'width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'no'   => __('No', 'appthemes'),
                                             'yes'  => __('Yes', 'appthemes'))),

				array(  'name' => __('Enable Debug Mode','appthemes'),
                        'desc' => '',
                        'tip' => __('This will print out the $wp_query->query_vars array at the top of your website. This should only be used for debugging.','appthemes'),
                        'id' => $app_abbr.'_debug_mode',
                        'css' => 'width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'no'   => __('No', 'appthemes'),
                                             'yes'  => __('Yes', 'appthemes'))),

				array(  'name' => __('Use Google CDN jQuery','appthemes'),
                        'desc' => '',
                        'tip' => __("This will use Google's hosted jQuery files which are served from their global content delivery network. This will help your site load faster and save bandwidth.",'appthemes'),
                        'id' => $app_abbr.'_google_jquery',
                        'css' => 'width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'no'   => __('No', 'appthemes'),
                                             'yes'  => __('Yes', 'appthemes'))),
											 
				array(  'name' => __('Disable WordPress Version Meta Tag','appthemes'),
                        'desc' => '',
                        'tip' => __("This will remove the WordPress generator meta tag in the source code of your site <code>< meta name='generator' content='WordPress 3.1' ></code>. It's an added security measure which prevents anyone from seeing what version of WordPress you are using. It also helps to deter hackers from taking advantage of vulnerabilities sometimes present in WordPress. (Yes is recommended)",'appthemes'),
                        'id' => $app_abbr.'_remove_wp_generator',
                        'css' => 'width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'no'   => __('No', 'appthemes'),
                                             'yes'  => __('Yes', 'appthemes'))),
											 
				array(  'name' => __('Disable WordPress User Toolbar','appthemes'),
                        'desc' => '',
                        'tip' => __("This will remove the WordPress user toolbar at the top of your web site which is displayed for all logged in users. This feature was added in WordPress 3.1.",'appthemes'),
                        'id' => $app_abbr.'_remove_admin_bar',
                        'css' => 'width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'no'   => __('No', 'appthemes'),
                                             'yes'  => __('Yes', 'appthemes'))),											 

				array(  'name' => __('Cache Expires', 'appthemes'),
                        'desc' => __('This number is in seconds so one day equals 86400 seconds (60 seconds * 60 minutes * 24 hours). Do not enter any commas.', 'appthemes'),
                        'tip' => __('To speed up page loading on your site, ClassiPress uses a caching mechanism on certain features (i.e. category drop-down, home page). The cache automatically gets flushed whenever a category has been added/modified, however this value sets the frequency your cache is regularly emptied. We recommend keeping this at the default (every hour = 3600 seconds).','appthemes'),
                        'id' => $app_abbr.'_cache_expires',
                        'css' => 'width:100px;',
                        'type' => 'text',
                        'req' => '',
                        'min' => '',
                        'std' => '',
                        'vis' => '',
                        'visid' => ''),


                array(  'name' => __('Admin Table Width', 'appthemes'),
                        'desc' => '',
                        'tip' => __('Sometimes the admin option pages are set too narrow or too wide. This option allows you to override it. Note: value must be numeric followed by either px or % (i.e. 700px or 100%). The default is 850px.','appthemes'),
                        'id' => $app_abbr.'_table_width',
                        'css' => 'width:100px;',
                        'type' => 'text',
                        'req' => '',
                        'min' => '',
                        'std' => '',
                        'vis' => '',
                        'visid' => ''),

				array(  'name' => __('Ad Box Right Side', 'appthemes'),
                        'desc' => '',
                        'tip' => __('Sometimes the main ad listings box is too narrow or it wraps due to legacy ad sizes. This option allows you to change it manually.','appthemes'),
                        'id' => $app_abbr.'_ad_right_class',
                        'css' => 'width:150px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'full'   => __('Normal Full Width', 'appthemes'),
                                             ''  => __('Legacy Ads Width', 'appthemes'))),



    array( 'name' => __('Custom Post Type & Taxonomy URLs', 'appthemes'),
                'type' => 'title',
                'id' => ''),

        array(  'name' => __('Ad Listing Base URL', 'appthemes'),
                        'desc'=> sprintf( __("IMPORTANT: You must <a target='_blank' href='%s'>re-save your permalinks</a> for this change to take effect.",'appthemes'), 'options-permalink.php' ),
                        'tip' => __('This controls the base name of your ad listing urls. The default is ads and will look like this: http://www.yoursite.com/ads/ad-title-here/. Do not include any slashes. This should only be alpha and/or numeric values. You should not change this value once you have launched your site otherwise you risk breaking urls of other sites pointing to yours, etc.','appthemes'),
                        'id' => $app_abbr.'_post_type_permalink',
                        'css' => 'width:250px;',
                        'type' => 'text',
                        'req' => '',
                        'min' => '',
                        'std' => '',
                        'vis' => '',
                        'visid' => ''),

        array(  'name' => __('Ad Category Base URL', 'appthemes'),
                        'desc'=> sprintf( __("IMPORTANT: You must <a target='_blank' href='%s'>re-save your permalinks</a> for this change to take effect.",'appthemes'), 'options-permalink.php' ),
                        'tip' => __('This controls the base name of your ad category urls. The default is ad-category and will look like this: http://www.yoursite.com/ad-category/category-name/. Do not include any slashes. This should only be alpha and/or numeric values. You should not change this value once you have launched your site otherwise you risk breaking urls of other sites pointing to yours, etc.','appthemes'),
                        'id' => $app_abbr.'_ad_cat_tax_permalink',
                        'css' => 'width:250px;',
                        'type' => 'text',
                        'req' => '',
                        'min' => '',
                        'std' => '',
                        'vis' => '',
                        'visid' => ''),

        array(  'name' => __('Ad Tag Base URL', 'appthemes'),
                        'desc'=> sprintf( __("IMPORTANT: You must <a target='_blank' href='%s'>re-save your permalinks</a> for this change to take effect.",'appthemes'), 'options-permalink.php' ),
                        'tip' => __('This controls the base name of your ad tag urls. The default is ad-tag and will look like this: http://www.yoursite.com/ad-tag/tag-name/. Do not include any slashes. This should only be alpha and/or numeric values. You should not change this value once you have launched your site otherwise you risk breaking urls of other sites pointing to yours, etc.','appthemes'),
                        'id' => $app_abbr.'_ad_tag_tax_permalink',
                        'css' => 'width:250px;',
                        'type' => 'text',
                        'req' => '',
                        'min' => '',
                        'std' => '',
                        'vis' => '',
                        'visid' => ''),

//        array(  'name' => __('Author Path', 'appthemes'),
//                        'desc'=> sprintf( __("IMPORTANT: You must <a target='_blank' href='%s'>re-save your permalinks</a> for this change to take effect. Unlike the other path changes, this one may affect your site performance.", 'appthemes'), 'options-permalink.php' ),
//                        'tip' => __('This controls the base name of your customers author page urls. The default is author and will look like this: http://www.yoursite.com/author/author-name/. Do not include any slashes. This should only be alpha and/or numeric values. You should not change this value once you have launched your site otherwise you risk breaking urls of other sites pointing to yours, etc.', 'appthemes'),
//                        'id' => $app_abbr.'_author_url',
//                        'css' => 'width:250px;',
//                        'type' => 'text',
//                        'req' => '',
//                        'min' => '',
//                        'std' => '',
//                        'vis' => '',
//                        'visid' => ''),


               

        array( 'name' => __('Cuf&oacute;n Font Replacement', 'appthemes'),
                'type' => 'title',
                'id' => ''),

                array(  'name' => __('Enable Cuf&oacute;n','appthemes'),

                        'desc' => sprintf(__("Turns on the Cuf&oacute;n replacement text feature on your site. Learn more about <a target='_new' href='%s'>Cuf&oacute;n</a> here.", 'appthemes'), 'http://github.com/sorccu/cufon/wiki'),
                        'tip' => __('Set this option to no if you are having conflicts or problems with certain text displaying on your site','appthemes'),
                        'id' => $app_abbr.'_cufon_enable',
                        'css' => 'width:100px;',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'std' => '',
                        'type' => 'select',
                        'options' => array(  'yes' => __('Yes', 'appthemes'),
                                             'no'  => __('No', 'appthemes'))),

                array(  'name' => __('Cuf&oacute;n Replacement Code','appthemes'),
                        'desc' => __("Say you want to replace all <code>&lt;h1 class='dotted'&gt;</code> elements on your site with Cuf&oacute;n. You would enter, <code>Cufon.replace('h1.dotted', { fontFamily: 'Liberation Serif', textShadow:'0 1px 0 #FFFFFF' });</code> The Cuf&oacute;n system will automatically style all elements for you. <br />Note: You must have the font installed before it will work. To install a new font you must first generate it and then place the .js font file in your ClassiPress /includes/fonts/ theme directory.", 'appthemes'),
                        'tip' => __('Cuf&oacute;n allows you to easily replace text with stylish fonts that appear to be images. It is fast and and does not require Flash.','appthemes'),
                        'id' => $app_abbr.'_cufon_code',
                        'css' => 'width:500px;height:200px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'min' => '',
                        'type' => 'textarea',
                        'std' => ''),


        array( 'type' => 'tabend', 'id' => '5' ),


        
);



$options_emails = array (

 	array( 'type' => 'tab', 'tabname' => __('General', 'appthemes'), 'id' => '0' ),
	   
			   
           array('name' => __('Email Notifications', 'appthemes'),
		'desc' => sprintf(__("Emails will be sent to: %s (<a href='%s'>change</a>)", 'appthemes'), get_option('admin_email'), 'options-general.php'),
                'type' => 'title',
                'id' => ''),

                array(  'name' => __('New Ad Email','appthemes'),
                        'desc' => '',
                        'tip' => __('Send me an email once a new ad has been submitted.','appthemes'),
                        'id' => $app_abbr.'_new_ad_email',
                        'css' => 'width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'yes' => __('Yes', 'appthemes'),
                                             'no'  => __('No', 'appthemes'))),

                array(  'name' => __('Prune Ads Email','appthemes'),
                        'desc' => '',
                        'tip' => __('Send me an email every time the system prunes expired ads.','appthemes'),
                        'id' => $app_abbr.'_prune_ads_email',
                        'css' => 'width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'no'   => __('No', 'appthemes'),
                                             'yes'  => __('Yes', 'appthemes'))),

                array(  'name' => __('Ad Approved Email','appthemes'),
                        'desc' => '',
                        'tip' => __('Send the ad owner an email once their ad has been approved either by you manually or after payment has been made (post status changes from pending to published).','appthemes'),
                        'id' => $app_abbr.'_new_ad_email_owner',
                        'css' => 'width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'yes' => __('Yes', 'appthemes'),
                                             'no'  => __('No', 'appthemes'))),

                array(  'name' => __('Ad Expired Email','appthemes'),
                        'desc' => '',
                        'tip' => __('Send the ad owner an email once their ad has expired (post status changes from published to draft).','appthemes'),
                        'id' => $app_abbr.'_expired_ad_email_owner',
                        'css' => 'width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'yes' => __('Yes', 'appthemes'),
                                             'no'  => __('No', 'appthemes'))),
											 
                array(  'name' => __('Admin New User Email','appthemes'),
                        'desc' => '',
                        'tip' => __('Sends the default WordPress new user notification email to the site admin. It is recommended to keep this turned on so you are alerted whenever a new user registers on your site.','appthemes'),
                        'id' => $app_abbr.'_nu_admin_email',
                        'css' => 'width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'yes' => __('Yes', 'appthemes'),
                                             'no'  => __('No', 'appthemes'))),	

                array(  'name' => __('Membership Activated Email','appthemes'),
                        'desc' => '',
                        'tip' => __('Send the user an email once their membership has been activated.','appthemes'),
                        'id' => $app_abbr.'_membership_activated_email_owner',
                        'css' => 'width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'yes' => __('Yes', 'appthemes'),
                                             'no'  => __('No', 'appthemes'))),

                array(  'name' => __('Send Membership Subscription Reminder Emails','appthemes'),
                        'desc' => '',
                        'tip' => __('Enabling this option will automatically send emails prior to a customers membership pack subscription end date.','appthemes'),
                        'id' => $app_abbr.'_membership_ending_reminder_email',
                        'css' => 'width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'yes' => __('Yes', 'appthemes'),
                                             'no'  => __('No', 'appthemes'))),		
											 
/*  lagacy as of v3.1
                array(  'name' => __('Use Custom Email Header','appthemes'),
                        'desc' => '',
                        'tip' => __('This option automatically replaces the generic WordPress &quot;From Name&quot; and &quot;Email Address&quot; with your own blog name and admin email. This affects the new registration and forgot password emails. It is recommended to keep this set to Yes unless you are having problems with a plugin that performs a similar function. ','appthemes'),
                        'id' => $app_abbr.'_custom_email_header',
                        'css' => 'width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'yes' => __('Yes', 'appthemes'),
                                             'no'  => __('No', 'appthemes'))), 
*/


//                array(  'name' => __('Email Notification', 'appthemes'),
//                        'desc' => sprintf(__("Emails will be sent to: %s. (<a target='_new' href='%s'>Change email address</a>)", 'appthemes'), get_option('admin_email'), 'options-general.php'),
//                        'tip' => __('Send an email when payment has been made. You may also receive an email from your payment gateway depending on how you have it configured.','appthemes'),
//                        'id' => $app_abbr.'_payment_email',
//                        'css' => 'width:100px;',
//                        'vis' => '',
//                        'std' => '',
//                        'js' => '',
//                        'type' => 'select',
//                        'options' => array(  'yes' => __('Yes', 'appthemes'),
//                                             'no'  => __('No', 'appthemes'))),
			   

    array( 'type' => 'tabend', 'id' => '0' ),


	array( 'type' => 'tab', 'tabname' => __('New User Email', 'appthemes'), 'id' => '1' ),

        array(	'name' => __('New User Registration Email', 'appthemes'),
			'type' => 'title',
			'id' => ''),
			
                array(  'name' => __('Enable Custom Email','appthemes'),
                        'desc' => '',
                        'tip' => __('Sends a custom new user notification email to your customers by using the fields you complete below. If this is set to &quot;No&quot;, the default WordPress new user notification email will be sent. This is useful for debugging if your custom emails are not being sent.','appthemes'),
                        'id' => $app_abbr.'_nu_custom_email',
                        'css' => 'width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'yes' => __('Yes', 'appthemes'),
                                             'no'  => __('No', 'appthemes'))),	
			
                array(  'name' => __('From Name','appthemes'),
                        'desc' => '',
                        'tip' => __('This is what your customers will see as the &quot;from&quot; when they receive the new user registration email. Use plain text only','appthemes'),
                        'id' => $app_abbr.'_nu_from_name',
                        'css' => 'width:250px;',
                        'vis' => '',
                        'type' => 'text',
                        'req' => '',
                        'min' => '',
                        'std' => ''),	
						
                array(  'name' => __('From Email','appthemes'),
                        'desc' => '',
                        'tip' => __('This is what your customers will see as the &quot;from&quot; email address (also the reply to) when they receive the new user registration email. Use only a valid and existing email address with no html or variables.','appthemes'),
                        'id' => $app_abbr.'_nu_from_email',
                        'css' => 'width:250px;',
                        'vis' => '',
                        'type' => 'text',
                        'req' => '',
                        'min' => '',
                        'std' => ''),		

                array(  'name' => __('Email Subject','appthemes'),
                        'desc' => '',
                        'tip' => __('This is the subject line your customers will see when they receive the new user registration email. Use text and variables only.','appthemes'),
                        'id' => $app_abbr.'_nu_email_subject',
                        'css' => 'width:400px;',
                        'vis' => '',
                        'type' => 'text',
                        'req' => '',
                        'min' => '',
                        'std' => ''),
						
                array(  'name' => __('Allow HTML in Body', 'appthemes'),
                        'desc' => '',
                        'tip' => __('This option allows you to use html markup in the email body below. It is recommended to keep it set to &quot;No&quot; to avoid problems with delivery. If you turn it on, make sure to test it and make sure the formatting looks ok and gets delivered properly.','appthemes'),
                        'id' => $app_abbr.'_nu_email_type',
                        'css' => 'width:100px;',
                        'vis' => '',
                        'req' => '',
                        'std' => '',
                        'js' => '',
                        'type' => 'select',
                        'options' => array(  'text/HTML'   => __('Yes', 'appthemes'),
                                             'text/plain'  => __('No', 'appthemes'))),		
						
                array(  'name' => __('Email Body','appthemes'),
                        'desc' => __('You may use the following variables within the email body and/or subject line.<br/><br/><strong>%username%</strong> - prints out the username<br/><strong>%useremail%</strong> - prints out the users email address<br/><strong>%password%</strong> - prints out the users text password<br/><strong>%siteurl%</strong> - prints out your website url<br/><strong>%blogname%</strong> - prints out your site name<br/><strong>%loginurl%</strong> - prints out your sites login url<br/><br/>Each variable MUST have the percentage signs wrapped around it with no spaces.<br/>Always test your new email after making any changes (register) to make sure it is working and formatted correctly. If you do not receive an email, chances are something is wrong with your email body.','appthemes'),
                        'tip' => __('Enter the text you would like your customers to see in the new user registration email. Make sure to always at least include the %username% and %password% variables otherwise they might forget later.','appthemes'),
                        'id' => $app_abbr.'_nu_email_body',
                        'css' => 'width:550px;height:250px;',
                        'vis' => '',
                        'req' => '',
                        'min' => '',
                        'type' => 'textarea',
                        'std' => ''),

					
		array( 'type' => 'tabend', 'id' => '1' ),
			   
											 
);											 



$options_pricing = array (

	array( 'type' => 'tab', 'tabname' => __('General', 'appthemes'), 'id' => '0' ),
				  
	array(	'name' => __('Pricing Configuration', 'appthemes'),
                'type' => 'title',
                'id' => ''),
			   
		array(  'name' => __('Charge for Listing Ads', 'appthemes'),
                        'desc' => '',
                        'tip' => __('This option activates the payment system so you can start charging for ad listings on your site.','appthemes'),
                        'id' => $app_abbr.'_charge_ads',
                        'css' => 'width:100px;',
                        'vis' => '',
                        'req' => '',
                        'std' => '',
                        'js' => '',
                        'type' => 'select',
                        'options' => array(  'yes' => __('Yes', 'appthemes'),
                                             'no'  => __('No', 'appthemes'))),

                array(  'name' => __('Show Featured Ads Slider','appthemes'),
                        'desc' => '',
                        'tip' => __('This option turns on the home page featured ads slider. Usually you charge extra for this space but it is not required. To manually make an ad appear here, check the &quot;stick this post to the front page&quot; box on the WordPress edit post page under &quot;Visibility&quot;.','appthemes'),
                        'id' => $app_abbr.'_enable_featured',
                        'css' => 'min-width:100px;',
                        'std' => '',
                        'vis' => '',
                        'req' => '',
                        'js' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array(  'yes' => __('Yes', 'appthemes'),
                                             'no'  => __('No', 'appthemes'))),

                array(  'name' => __('Featured Ads Title Length','appthemes'),
                        'desc' => '',
                        'tip' => __('This number controls the length of your featured ad titles to this many characters (i.e. if you changed this value to 5, &quot;My Title&quot; would turn into &quot;My Ti...&quot;. Spaces are included in the count.)','appthemes'),
                        'id' => $app_abbr.'_featured_trim',
                        'css' => 'width:50px;',
                        'vis' => '',
                        'type' => 'text',
                        'req' => '',
                        'min' => '',
                        'std' => ''),


								array(  'name' => __('Featured Ad Price', 'appthemes'),
												'desc' => __('Only enter numeric values or decimal points. Do not include a currency symbol or commas.', 'appthemes'),
												'tip' => __('This is the additional amount you will charge visitors to post a featured ad on your site. A featured ad appears at the top of the category. Leave this blank if you do not want to offer featured ads.', 'appthemes'),
												'id' => $app_abbr.'_sys_feat_price',
												'css' => 'width:50px;',
												'vis' => '',
												'type' => 'text',
												'req' => '',
												'min' => '',
												'std' => ''),

								array(  'name' => __('Clean Price Field', 'appthemes'),
												'desc' => __('This option should be enabled in order to store valid price values.', 'appthemes'),
												'tip' => __('This will remove any letters and special characters from the price field leaving only numbers and periods. Leave this set to no if you prefer to allow visitors to enter text such as TBD, OBO or other contextual phrases.', 'appthemes'),
												'id' => $app_abbr.'_clean_price_field',
												'css' => 'width:100px;',
												'std' => '',
												'vis' => '',
												'req' => '',
												'min' => '',
												'type' => 'select',
												'options' => array( 'yes' => __('Yes', 'appthemes'),
																						'no'  => __('No', 'appthemes'))),

								array(  'name' => __('Display Zero for Empty Prices', 'appthemes'),
												'desc' => '',
												'tip' => __('This will force any ad without a price to display a currency of zero for the price.', 'appthemes'),
												'id' => $app_abbr.'_force_zeroprice',
												'css' => 'width:100px;',
												'std' => '',
												'vis' => '',
												'req' => '',
												'min' => '',
												'type' => 'select',
												'options' => array( 'no'  => __('No', 'appthemes'),
																						'yes' => __('Yes', 'appthemes'))),

								array(  'name' => __('Price Thousands Separator', 'appthemes'),
												'desc' => '',
												'tip' => __('This is the thousands separator for prices displayed on your site. You can change this value to your local currency formatting. Default is comma.', 'appthemes'),
												'id' => $app_abbr.'_thousands_separator',
												'css' => 'width:50px;',
												'vis' => '',
												'type' => 'text',
												'req' => '',
												'min' => '',
												'std' => ''),

								array(  'name' => __('Price Decimal Separator', 'appthemes'),
												'desc' => '',
												'tip' => __('This is the decimal separator for prices displayed on your site. You can change this value to your local currency formatting. Default is dot.', 'appthemes'),
												'id' => $app_abbr.'_decimal_separator',
												'css' => 'width:50px;',
												'vis' => '',
												'type' => 'text',
												'req' => '',
												'min' => '',
												'std' => ''),

								array(  'name' => __('Hide Decimals for Prices', 'appthemes'),
												'desc' => '',
												'tip' => __('This will hide decimals for prices displayed on your site. Enable this option if your currency does not use decimals (i.e. Yen).', 'appthemes'),
												'id' => $app_abbr.'_hide_decimals',
												'css' => 'width:100px;',
												'std' => '',
												'vis' => '',
												'req' => '',
												'min' => '',
												'type' => 'select',
												'options' => array( 'no'  => __('No', 'appthemes'),
																						'yes' => __('Yes', 'appthemes'))),

               array(  'name' => __('Currency Symbol', 'appthemes'),
                        'desc' => '',
                        'tip' => __('Enter the currency symbol you want to appear next to prices on your classified ads (i.e. $, &euro;, &pound;, &yen;)','appthemes'),
                        'id' => $app_abbr.'_curr_symbol',
                        'css' => 'width:50px;',
                        'vis' => '',
                        'type' => 'text',
                        'req' => '',
                        'min' => '',
                        'std' => ''),

               array(  'name' => __('Symbol Position', 'appthemes'),
                        'desc' => '',
                        'tip' => __('Some currencies place the symbol on the right side vs the left. Select how you would like your currency symbol to be displayed.','appthemes'),
                        'id' => $app_abbr.'_curr_symbol_pos',
                        'css' => 'min-width:200px;',
                        'vis' => '',
                        'js' => '',
                        'std' => '',
                        'req' => '',
                        'type' => 'select',
                        'options' => array(  'left'         => __('Left of Currency ($100)', 'appthemes'),
                                             'left_space'   => __('Left of Currency with Space ($ 100)', 'appthemes'),
                                             'right'        => __('Right of Currency (100$)', 'appthemes'),
                                             'right_space'  => __('Right of Currency with Space (100 $)', 'appthemes'))),

                array(  'name' => __('Collect Payments in', 'appthemes'),
                        'desc' => sprintf( __("See the list of supported <a target='_new' href='%s'>PayPal currencies</a>.", 'appthemes'), 'https://www.paypal.com/cgi-bin/webscr?cmd=p/sell/mc/mc_intro-outside' ),
                        'tip' => __('This is the currency you want to collect payments in. It applies mainly to PayPal payments since other payment gateways accept more currencies. If your currency is not listed then PayPal currently does not support it.','appthemes'),
                        'id' => $app_abbr.'_curr_pay_type',
                        'css' => 'min-width:200px;',
                        'vis' => '',
                        'js' => 'onchange="set_'.$app_abbr.'_curr_pay_type_symbol(this.value)"',
                        'std' => '',
                        'req' => '',
                        'type' => 'select',
                        'options' => array( 'USD' => __('US Dollars (&#36;)', 'appthemes'),
                                            'EUR' => __('Euros (&euro;)', 'appthemes'),
                                            'GBP' => __('Pounds Sterling (&pound;)', 'appthemes'),
                                            'AUD' => __('Australian Dollars (&#36;)', 'appthemes'),
                                            'BRL' => __('Brazilian Real (&#36;)', 'appthemes'),
                                            'CAD' => __('Canadian Dollars (&#36;)', 'appthemes'),
                                            'CZK' => __('Czech Koruna (K&#269;)', 'appthemes'),
                                            'DKK' => __('Danish Krone (kr)', 'appthemes'),
                                            'HKD' => __('Hong Kong Dollar (&#36;)', 'appthemes'),
                                            'HUF' => __('Hungarian Forint (Ft)', 'appthemes'),
                                            'ILS' => __('Israeli Shekel (&#8362;)', 'appthemes'),
                                            'JPY' => __('Japanese Yen (&yen;)', 'appthemes'),
                                            'MYR' => __('Malaysian Ringgits (RM)', 'appthemes'),
                                            'MXN' => __('Mexican Peso (&#36;)', 'appthemes'),
                                            'NZD' => __('New Zealand Dollar (&#36;)', 'appthemes'),
                                            'NOK' => __('Norwegian Krone (kr)', 'appthemes'),
                                            'PHP' => __('Philippine Pesos (P)', 'appthemes'),
                                            'PLN' => __('Polish Zloty (z&#322;)', 'appthemes'),
                                            'SGD' => __('Singapore Dollar (&#36;)', 'appthemes'),
                                            'SEK' => __('Swedish Krona (kr)', 'appthemes'),
                                            'CHF' => __('Swiss Franc (Fr)', 'appthemes'),
                                            'TWD' => __('Taiwan New Dollar (&#36;)', 'appthemes'),
                                            'THB' => __('Thai Baht (&#3647;)', 'appthemes'),
                                            'YTL' => __('Turkish Lira (&#8356;)', 'appthemes'),
                                        )),

               array(  'name' => __('Collect Payments Currency Symbol', 'appthemes'),
                        'desc' => '',
                        'tip' => __('Change this value to customize the currency symbol as you want it to appear when refering to customer payment gateway payments.','appthemes'),
                        'id' => $app_abbr.'_curr_pay_type_symbol',
                        'css' => 'width:50px;',
                        'vis' => '',
                        'type' => 'text',
                        'req' => '',
                        'min' => '',
                        'std' => ''),

    array( 'type' => 'tabend', 'id' => '0' ),

    array( 'type' => 'tab', 'tabname' => __('Pricing Model', 'appthemes'), 'id' => '1' ),


        array(	'name' => __('Pricing Options', 'appthemes'),
                'type' => 'title',
                'id' => ''),

                array(  'name' => __('Price Model', 'appthemes'),
                        'desc' => sprintf(__("If you select the 'Fixed Price Per Ad' option, you must have at least one active <a href='%s'>ad pack</a> setup.", 'appthemes'), 'admin.php?page=packages'),
                        'tip' => __('This option defines the pricing model for selling ads on your site. If you want to provide free and paid ads then select the &quot;Price Per Category&quot; option.','appthemes'),
                        'id' => $app_abbr.'_price_scheme',
                        'css' => 'min-width:150px;',
                        'vis' => '',
                        'js' => '',
                        'std' => '',
                        'req' => '',
                        'js' => '',
                        'type' => 'select',
                        'options' => array(  'single'       => __('Fixed Price Per Ad', 'appthemes'),
                                             'category'     => __('Price Per Category', 'appthemes'),
                                             'percentage'   => __('% of Sellers Ad Price', 'appthemes'),
											 'featured'     => __('Only Charge for Featured Ads', 'appthemes'))),

                array(  'name' => __('% of Sellers Ad Price', 'appthemes'),
                        'desc' => '',
                        'tip' => __('If you selected the &quot;% of Sellers Ad Price&quot; price model, enter your percentage here. Numbers only. No percentage symbol or commas','appthemes'),
                        'id' => $app_abbr.'_percent_per_ad',
                        'css' => 'width:50px;',
                        'type' => 'text',
                        'req' => '',
                        'min' => '',
                        'std' => '',
                        'vis' => '',
                        'visid' => 'percentage'),

                array(  'name' => __('Price Per Category', 'appthemes'),
                        'desc' => '',
                        'tip' => __('If you selected the &quot;Price Per Category&quot; price model, enter a price for each category here. To make a specific category free, just enter a zero (0). Do not enter currency symbols or commas. You can use decimal points (i.e. 10.50, 5.95)','appthemes'),
                        'id' => $app_abbr.'_price_per_cat', // needed for js show/hide to work
                        'css' => '',
                        'type' => 'price_per_cat',
                        'req' => '',
                        'min' => '',
                        'std' => '',
                        'vis' => '',
                        'visid' => 'category'),

    array( 'type' => 'tabend', 'id' => '1' ),

		array( 'type' => 'tab', 'tabname' => __('Membership', 'appthemes'), 'id' => '2' ),


					array(	'name' => __('Membership Options', 'appthemes'),
									'type' => 'title',
									'id' => ''),

								array(  'name' => __('Enable Membership Packs', 'appthemes'),
												'desc' => sprintf(__('Manage your membership packages from the <a href="%1$s">Ad Packs</a> option page.', 'appthemes'), 'admin.php?page=packages'),
												'tip' => __('This option activates Membership Packs and their respective discounts. Disabling this does not disable the membership system, but simply stops the discounts from activating during the posting process.', 'appthemes'),
												'id' => $app_abbr.'_enable_membership_packs',
												'css' => 'width:100px;',
												'vis' => '',
												'std' => '',
												'req' => '',
												'js' => '',
												'type' => 'select',
												'options' => array( 'yes' => __('Yes', 'appthemes'),
																						'no'  => __('No', 'appthemes') )),

								array(  'name' => __('Days of Reminder Messages', 'appthemes'),
												'desc' => __('Affects both emails and website notifications.', 'appthemes'),
												'tip' => __('Number of days you would like to send renewal reminders before their subscription expires. Numeric values only.', 'appthemes'),
												'id' => $app_abbr.'_membership_ending_reminder_days',
												'css' => 'width:100px;',
												'req' => '',
												'min' => '',
												'vis' => '',
												'std' => '7',
												'js' => '',
												'type' => 'text'),

								array(  'name' => __('Are Membership Packs Required to Purchase Ads?', 'appthemes'),
												'desc' => '',
												'tip' => __('Choose how you would like the membership system to work. <br /><strong>Not Required</strong> - a membership is not required in order to list an ad. <br /><strong>Required for All</strong> - a user can only list an ad if they have an active membership. <br /><strong>Required by Category</strong> - limits users with memberships to list ads in certain categories (must be set below).', 'appthemes'),
												'id' => $app_abbr.'_required_membership_type',
												'css' => '',
												'req' => '',
												'min' => '',
												'vis' => '',
												'std' => '',
												'js' => '',
												'type' => 'select',
												'options' => array( '' => __('Not Required', 'appthemes'),
																						'all' => __('Required for All', 'appthemes'),
																						'category'  => __('Required by Category', 'appthemes') )),


								array(  'name' => __('Membership by Category', 'appthemes'),
												'desc' => '',
												'tip' => __('If you selected &quot;Required by Category&quot; above, then you need to check categories here. Any categories checked will only allow ad listings from users with an active membership.', 'appthemes'),
												'id' => $app_abbr.'_required_per_cat',  // needed for js show/hide to work
												'css' => '',
												'type' => 'required_per_cat',
												'req' => '',
												'min' => '',
												'std' => '',
												'vis' => '',
												'visid' => 'category'),

		array( 'type' => 'tabend', 'id' => '2' ),

);


$options_new_form = array (

    array( 'type' => 'notab'),

	array(	'name' => __('New Form', 'appthemes'),
                'type' => 'title'),

		array(  'name' => __('Form Name', 'appthemes'),
                        'desc' => '',
                        'tip' => __('Create a form name that best describes what category or categories this form will be used for. (i.e. Auto Form, Clothes Form, General Form, etc). It will not be visible on your site.','appthemes'),
                        'id' => 'form_label',
                        'css' => 'min-width:400px;',
                        'type' => 'text',
                        'vis' => '',
                        'req' => '1',
                        'min' => '5',
                        'std' => ''),

                array(  'name' => __('Form Description','appthemes'),
                        'desc' => '',
                        'tip' => __('Enter a description of your new form layout. It will not be visible on your site.','appthemes'),
                        'id' => 'form_desc',
                        'css' => 'width:400px;height:100px;',
                        'type' => 'textarea',
                        'vis' => '',
                        'req' => '1',
                        'min' => '5',
                        'std' => ''),

                array(  'name' => __('Available Categories', 'appthemes'),
                        'desc' => '',
                        'tip' => __('Select the categories you want this form to be displayed for. Categories not listed are being used on a different form layout. You can only have one category assigned to each form layout. Any unselected categories will use the default ad form.','appthemes'),
                        'id' => 'post_category[]',
                        'css' => '',
                        'type' => 'cat_checklist',
                        'vis' => '',
                        'req' => '1',
                        'std' => ''),

                array(  'name' => __('Status', 'appthemes'),
                        'desc' => '',
                        'tip' => __('If you do not want this new form live on your site yet, select inactive.','appthemes'),
                        'id' => 'form_status',
                        'css' => 'min-width:100px;',
                        'std' => '',
                        'js' => '',
                        'vis' => '',
                        'req' => '1',
                        'type' => 'select',
                        'options' => array( 'active'   => __('Active', 'appthemes'),
                                            'inactive' => __('Inactive', 'appthemes'))),

    array( 'type' => 'notabend'),

);


$options_new_field = array (

    array( 'type' => 'notab'),

	array(	'name' => __('Field Information', 'appthemes'),
                'type' => 'title'),

		array(  'name' => __('Field Name', 'appthemes'),
                        'desc' => '',
                        'tip' => __('Create a field name that best describes what this field will be used for. (i.e. Color, Size, etc). It will be visible on your site.','appthemes'),
                        'id' => 'field_label',
                        'css' => 'min-width:400px;',
                        'type' => 'text',
                        'req' => '1',
                        'vis' => '',
                        'min' => '2',
                        'std' => ''),

                array(  'name' => __('Meta Name', 'appthemes'),
                        'desc' => '',
                        'tip' => __('This field is used by WordPress so you cannot modify it. Doing so could cause problems displaying the field on your ads.','appthemes'),
                        'id' => 'field_name',
                        'css' => 'min-width:400px;',
                        'type' => 'text',
                        'req' => '1',
                        'vis' => '',
                        'min' => '5',
                        'std' => '',
                        'dis' => '1'),

                array(  'name' => __('Field Description','appthemes'),
                        'desc' => '',
                        'tip' => __('Enter a description of your new form layout. It will not be visible on your site.','appthemes'),
                        'id' => 'field_desc',
                        'css' => 'width:400px;height:100px;',
                        'type' => 'textarea',
                        'req' => '1',
                        'vis' => '',
                        'min' => '5',
                        'std' => ''),
				
                array(  'name' => __('Field Tooltip','appthemes'),
                        'desc' => '',
                        'tip' => __('This will create a ? tooltip icon next to this field on the submit ad page.','appthemes'),
                        'id' => 'field_tooltip',
                        'css' => 'width:400px;height:100px;',
                        'type' => 'textarea',
                        'req' => '0',
                        'vis' => '',
                        'min' => '5',
                        'std' => ''),
				
               array(   'name' => __('Field Type', 'appthemes'),
                        'desc' => '',
                        'tip' => __('This is the type of field you want to create.','appthemes'),
                        'id' => 'field_type',
                        'css' => 'min-width:100px;',
                        'std' => '',
                        'js' => 'onchange="show(this)"',
                        'req' => '1',
                        'vis' => '',
                        'min' => '',
                        'type' => 'select',
                        'options' => array( 'text box'  => __('text box', 'appthemes'),
                                            'drop-down' => __('drop-down', 'appthemes'),
                                            'text area' => __('text area', 'appthemes'),
                                            'radio'     => __('radio buttons', 'appthemes'),
                                            'checkbox'  => __('checkboxes', 'appthemes'),
                                          ),
                   ),
				   
				   array(  'name' => __('Minimum Length', 'appthemes'),
                        'desc' => '',
                        'tip' => __('Defines the minimum number of characters required for this field. Enter a number like 2 or leave it empty to make the field optional.','appthemes'),
                        'id' => 'field_min_length',
                        'css' => 'min-width:400px;',
                        'type' => 'text',
                        'req' => '0',
                        'vis' => '0',
                        'min' => '',
                        'std' => ''),

                array(  'name' => __('Field Values', 'appthemes'),
                        'desc' => '',
                        'tip' => __('Enter a comma separated list of values you want to appear in this drop-down box. (i.e. XXL,XL,L,M,S,XS). Do not separate values with the return key.','appthemes'),
                        'id' => 'field_values',
                        'css' => 'width:400px;height:200px;',
                        'type' => 'textarea',
                        'req' => '',
                        'min' => '1',
                        'std' => '',
                        'vis' => '0',
                    ),

//               array(  'name' => __('Add to Search Widget', 'appthemes'),
//                        'desc' => '',
//                        'tip' => __('Checking this will include this field on the search box on your website. It is perfect for things like regional search. (Note: It should only be used for text or drop-down fields.)','appthemes'),
//                        'id' => 'field_search',
//                        'css' => '',
//                        'type' => 'checkbox',
//                        'req' => '1',
//                        'min' => '5',
//                        'std' => '',
//                   ),

    array( 'type' => 'notabend'),

);

$options_new_ad_pack = array (


    array( 'type' => 'notab'),

	array(	'name' => __('Ad Pack Details','appthemes'),
                'type' => 'title',
                'desc' => '',
             ),

		array(  'name' => __('Name', 'appthemes'),
                        'desc' => '',
                        'tip' => __('Create a name that best describes this ad package. (i.e. 30 days for only $5) This will be visible on your new ad listing submission page.','appthemes'),
                        'id' => 'pack_name',
                        'css' => 'min-width:400px;',
                        'type' => 'text',
                        'vis' => '',
                        'req' => '1',
                        'min' => '5',
                        'std' => ''),

               array(  'name' => __('Description','appthemes'),
                        'desc' => '',
                        'tip' => __('Enter a description of your new ad package. It will not be visible on your site.','appthemes'),
                        'id' => 'pack_desc',
                        'css' => 'width:400px;height:100px;',
                        'type' => 'textarea',
                        'req' => '1',
                        'min' => '5',
                        'std' => ''),

                array(  'name' => __('Price Per Listing', 'appthemes'),
                        'desc' => '',
                        'tip' => __('Enter a numeric value for this package (do not enter a currency symbol or commas). For ad packs, this will be the price to post an ad.','appthemes'),
                        'id' => 'pack_price',
                        'css' => 'width:75px;',
                        'type' => 'text',
                        'vis' => '',
                        'req' => '1',
                        'min' => '1',
                        'std' => ''),

                array(  'name' => __('Ad Duration', 'appthemes'),
                        'desc' => '',
                        'tip' => __('Enter a numeric value to specify the number of days for this ad package (i.e. 30, 60, 90, 120).','appthemes'),
                        'id' => 'pack_duration',
                        'css' => 'width:75px;',
                        'type' => 'text',
                        'vis' => '',
                        'req' => '1',
                        'min' => '1',
                        'std' => ''),

                array(  'name' => __('Package Status', 'appthemes'),
                        'desc' => '',
                        'tip' => __('If you do not want this ad package live on your site, select inactive.','appthemes'),
                        'id' => 'pack_status',
                        'css' => 'min-width:100px;',
                        'std' => '',
                        'js' => '',
                        'req' => '1',
                        'type' => 'select',
                        'options' => array( 'active'   => __('Active', 'appthemes'),
											'inactive' => __('Inactive', 'appthemes') )),

     array( 'type' => 'notabend'),


);


$options_new_membership_pack = array (


    array( 'type' => 'notab'),

	array(	'name' => __('Membership Pack Details','appthemes'),
                'type' => 'title',
                'desc' => '',
             ),

		array(  'name' => __('Name', 'appthemes'),
                        'desc' => '',
                        'tip' => __('Create a name that best describes this membership package. (i.e. 30 days unlimited posting for only $25) This will be visible on your ad listing submission page.','appthemes'),
                        'id' => 'pack_name',
                        'css' => 'min-width:400px;',
                        'type' => 'text',
                        'vis' => '',
                        'req' => '1',
                        'min' => '5',
                        'std' => ''),

               array(  'name' => __('Description','appthemes'),
                        'desc' => '',
                        'tip' => __('Enter a description of your new membership package. It will not be visible on your site.','appthemes'),
                        'id' => 'pack_desc',
                        'css' => 'width:400px;height:100px;',
                        'type' => 'textarea',
                        'req' => '1',
                        'min' => '5',
                        'std' => ''),
                        
                array(  'name' => __('Package Type', 'appthemes'),
                        'desc' => '',
                        'tip' => __('Select which package type to change how the pack affects the price of the ad during the posting process.','appthemes'),
                        'id' => 'pack_type',
                        'css' => 'min-width:100px;',
                        'std' => '',
                        'js' => '',
                        'req' => '1',
                        'type' => 'select',
                        'options' => array( 'static'     => __('Static Price', 'appthemes'),
											'discount'   => __('Discounted Price', 'appthemes'),
											'percentage' => __('% Discounted Price', 'appthemes'), )),     
											
                array(  'name' => __('Membership Price', 'appthemes'),
                        'desc' => '',
                        'tip' => __('The price this membership will cost your customer to purchase. Enter a numeric value (do not enter a currency symbol or commas).','appthemes'),
                        'id' => 'pack_membership_price',
                        'css' => 'width:75px;',
                        'type' => 'text',
                        'vis' => '',
                        'req' => '1',
                        'min' => '1',
                        'std' => '1.00'),
        
                array(  'name' => __('Membership Duration', 'appthemes'),
                        'desc' => __('Enter a numeric value for the number of days','appthemes'),
                        'tip' => __('The length of time in days this membership lasts. Enter a numeric value (i.e. 30, 60, 90, 120).','appthemes'),
                        'id' => 'pack_duration',
                        'css' => 'width:75px;',
                        'type' => 'text',
                        'vis' => '',
                        'req' => '1',
                        'min' => '1',
                        'std' => ''),

                array(  'name' => __('Price Modifier <br /> (How a membership <br /> affects the price of an ad)', 'appthemes'),
                        'desc' => __('Enter #.## for currency (i.e. 2.25 for $2.25), ### for percentage (i.e. 50 for 50%).','appthemes'),
                        'tip' => __('Enter a numeric value (do not enter a currency symbol or commas). This will modify the checkout price based on the selected package type.','appthemes'),
                        'id' => 'pack_price',
                        'css' => 'width:75px;',
                        'type' => 'text',
                        'vis' => '',
                        'req' => '1',
                        'min' => '1',
                        'std' => ''),

				
                array(  'name' => __('Satisfies Membership Requirement', 'appthemes'),
                        'desc' => sprintf( __("If the &quot;<a href='%s'>Are Membership Packs Required to Purchase Ads</a>&quot; option under the Membership tab is set to yes, you should select yes.",'appthemes'), 'admin.php?page=pricing' ),
                        
                        
                        __('If the &quot;Are Membership Packs Required to Purchase Ads&quot; option is set to yes, you should select yes.','appthemes'),
                        
                        'tip' => __('Selecting no means that this membership does not allow the customer to post to categories requiring membership. You would select no if you wanted to separate memberships that are required to post versus memberships that simply affect the final price.','appthemes'),
                        'id' => 'pack_satisfies_required',
                        'css' => 'min-width:100px;',
                        'std' => '',
                        'js' => '',
                        'req' => '',
                        'type' => 'select',
                        'options' => array( 'required_'   => __('Yes', 'appthemes'),
											         ''   => __('No', 'appthemes'), )),


                array(  'name' => __('Package Status', 'appthemes'),
                        'desc' => '',
                        'tip' => __('Allows you to temporarily turn off this package instead of deleting it. Please note that existing active memberships will still be able to list ads at their discounted price unless memberships are turned off globally from the Pricing => Membership tab.','appthemes'),
                        'id' => 'pack_status',
                        'css' => 'min-width:100px;',
                        'std' => '',
                        'js' => '',
                        'req' => '1',
                        'type' => 'select',
                        'options' => array( 'active_membership'   => __('Active', 'appthemes'),
                                            'inactive_membership' => __('Inactive', 'appthemes'), )),

     array( 'type' => 'notabend'),


);



$options_new_coupon = array (


	array( 'type' => 'notab' ),

	array(	'name' => __('Coupon Details','appthemes'),
                'type' => 'title',
                'desc' => ''
             ),

		array(  'name' => __('Code', 'appthemes'),
                        'desc' => '',
                        'tip' => __('Create a coupon code that you wish to use. This will be the actual coupon that you pass out to your customers.','appthemes'),
                        'id' => 'coupon_code',
                        'css' => 'min-width:400px;',
                        'type' => 'text',
                        'vis' => '',
                        'req' => '1',
                        'min' => '3',
                        'std' => ''),

               array(  'name' => __('Description','appthemes'),
                        'desc' => '',
                        'tip' => __('Enter a description of your new coupon. It will not be visible on your site.','appthemes'),
                        'id' => 'coupon_desc',
                        'css' => 'width:400px;height:100px;',
                        'type' => 'textarea',
                        'req' => '1',
                        'min' => '5',
                        'std' => ''),

                array(  'name' => __('Discount', 'appthemes'),
                        'desc' => '',
                        'tip' => __('Enter a numeric value for this coupon (do not enter a currency symbol or commas).','appthemes'),
                        'id' => 'coupon_discount',
                        'css' => 'width:75px;',
                        'type' => 'text',
                        'vis' => '',
                        'req' => '1',
                        'min' => '1',
                        'std' => ''),

                array(  'name' => __('Type of Discount', 'appthemes'),
                        'desc' => '',
                        'tip' => __('Either a fixed price or percentage discount.','appthemes'),
                        'id' => 'coupon_discount_type',
                        'css' => 'min-width:100px;',
                        'std' => '',
                        'js' => '',
                        'req' => '1',
                        'type' => 'select',
                        'options' => array( '%'   => '%',
                                            get_option($app_abbr.'_curr_pay_type_symbol') => get_option($app_abbr.'_curr_pay_type_symbol'))),
											
                array(  'name' => __('Max Usage', 'appthemes'),
                        'desc' => '',
                        'tip' => __('Enter a numeric value for the times you wish this coupon to be usable. Enter 0 for unlimited usage.','appthemes'),
                        'id' => 'coupon_max_use_count',
                        'css' => 'width:75px;',
                        'type' => 'text',
                        'vis' => '',
                        'req' => '1',
                        'min' => '1',
                        'std' => ''),	

                array(  'name' => __('Start Date', 'appthemes'),
                        'desc' => '',
                        'tip' => __('Enter the start date for this coupon to begin working.','appthemes'),
                        'id' => 'coupon_start_date',
                        'css' => 'width:150px;',
                        'type' => 'text',
                        'vis' => '',
                        'req' => '1',
                        'min' => '1',
                        'std' => '',
                        'altclass' => 'datepicker'),

                array(  'name' => __('Expire Date', 'appthemes'),
                        'desc' => '',
                        'tip' => __('Enter the expiration date for this coupon to stop working.','appthemes'),
                        'id' => 'coupon_expire_date',
                        'css' => 'width:150px;',
                        'type' => 'text',
                        'vis' => '',
                        'req' => '1',
                        'min' => '1',
                        'std' => '',
                        'altclass' => 'datepicker'),

                array(  'name' => __('Coupon Status', 'appthemes'),
                        'desc' => '',
                        'tip' => __('If you do not want this coupon available for use, select inactive.','appthemes'),
                        'id' => 'coupon_status',
                        'css' => 'min-width:100px;',
                        'std' => '',
                        'js' => '',
                        'req' => '1',
                        'type' => 'select',
                        'options' => array( 'active'   => __('Active', 'appthemes'),
                                            'inactive' => __('Inactive', 'appthemes'))),

    array( 'type' => 'notabend'),

);


// pull in the payment gateway options
// this is included separately so it's easy to drop in new payment
// plugins and add-ons without having to touch the core code
if ( file_exists(TEMPLATEPATH . '/includes/gateways/admin-gateway-values.php') )
    include_once (TEMPLATEPATH . '/includes/gateways/admin-gateway-values.php');

?>